> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post newscommandsadd news



## OpenAPI

````yaml /api-reference/oda-news-service-1.0.0.yml post /news/commands/add-news
openapi: 3.0.1
info:
  title: ODA News Service
  description: News Service API
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /news/commands/add-news:
    post:
      operationId: addNews
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddNews.AddNewsCommand'
        required: true
      responses:
        '200':
          description: addNews 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsDto'
components:
  schemas:
    AddNews.AddNewsCommand:
      required:
        - description
        - global
        - title
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        demoUrl:
          type: string
          nullable: true
        global:
          type: boolean
    NewsDto:
      required:
        - date
        - description
        - id
        - title
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        date:
          type: string
        demoUrl:
          type: string
          nullable: true

````